## org.eclipse.emf.edit.provider
Class Disposable

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet<E>
              java.util.HashSet<java.lang.Object>
                  org.eclipse.emf.edit.provider.Disposable

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<java.lang.Object>, java.util.Collection<java.lang.Object>, java.util.Set<java.lang.Object>, IDisposable

    public class Disposable

extends java.util.HashSet<java.lang.Object>
implements IDisposable

This implements `IDisposable` as a set IDisposables that can in turn be disposed.

See Also:
  Serialized Form

Constructor Summary
`Disposable()` This creates an empty instance.
`Disposable(java.util.Collection<?> disposables)` This creates an instance with containing all the given disposables.

Method Summary
`boolean` `add(java.lang.Object object)`
`boolean` `addAll(java.util.Collection<?> collection)`
`void` `dispose()` This is called to dispose the disposables.

Methods inherited from class java.util.HashSet
`clear, clone, contains, isEmpty, iterator, remove, size`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`containsAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`

Constructor Detail

### Disposable

    public Disposable()

  This creates an empty instance.

### Disposable

    public Disposable(java.util.Collection<?> disposables)

  This creates an instance with containing all the given disposables.

Method Detail

### dispose

    public void dispose()

  This is called to dispose the disposables.

  Specified by:
    `dispose` in interface `IDisposable`

### add

    public boolean add(java.lang.Object object)

  Specified by:
    `add` in interface `java.util.Collection<java.lang.Object>`
  Specified by:
    `add` in interface `java.util.Set<java.lang.Object>`
  Overrides:
    `add` in class `java.util.HashSet<java.lang.Object>`

### addAll

    public boolean addAll(java.util.Collection<?> collection)

  Specified by:
    `addAll` in interface `java.util.Collection<java.lang.Object>`
  Specified by:
    `addAll` in interface `java.util.Set<java.lang.Object>`
  Overrides:
    `addAll` in class `java.util.AbstractCollection<java.lang.Object>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.